package it.unibs.fp.patenteelibbrettopregoh;

import java.util.ArrayList;

public class Comuni {
    private final ArrayList<Comune> comuni;

    public Comuni() {
        this.comuni = new ArrayList<>();
    }

    public void addComune(Comune comune) {
        this.comuni.add(comune);
    }

    public void removeComune(Comune comune) {
        this.comuni.remove(comune);
    }

    public ArrayList<Comune> getComuni() {
        return comuni;
    }

    public String getCodiceComune(String nomeComune) {
        for (Comune comune : comuni) {
            if (comune.getNome().equalsIgnoreCase(nomeComune)) {
                return comune.getCodice();
            }
        }
        return null; // Comune non trovato
    }

}
